Intereting Posts
Как правильно добавить другое приложение в WordPress? Пользователи – снимите флажок «Отправить пароль» JSON: создание графика json-файла Отправка всех сообщений электронной почты с помощью SMTP Как создать объект Quora или Stack Exchange без использования специализированной темы? Какая тема WordPress совместима с плагином Optima Express (плагин недвижимости)? проблема с пустой страницей Безопасность: блокирование прямого доступа к файлам php WordPress автоматически добавляет тег <! – -> html вокруг кода PHP Как получить название термина пользовательского типа сообщений с пользовательскими таксономиями? используя данные для входа в WordPress для другого сайта / приложения / форума? как я могу скрыть категорию? Пользовательский тип сообщения, сохранение нескольких флажков Логотип не отображается в заголовке (Twentytwelve) выпуск лицензии плагина WordPress -Новая разработка плагина

Проблема при публикации обновлений / изменений в wordress

У меня есть WordPress 4.8.1, установленный с темой «Департамент» OCMX для WooCommerce.

Всякий раз, когда я обновляю страницу или публикую новую страницу / слайдер, появляется следующее сообщение об ошибке:

Warning: Declaration of obox_theme_update::fs_connect($directories = Array) should be compatible with WP_Upgrader::fs_connect($directories = Array, $allow_relaxed_file_ownership = false) in /home/.../wp-content/themes/department/ocmx/includes/update-class.php on line 4 Warning: Cannot modify header information - headers already sent by (output started at /home/.../wp-content/themes/department/ocmx/includes/update-class.php:4) in /home/.../wp-admin/post.php on line 197 Warning: Cannot modify header information - headers already sent by (output started at /home/.../wp-content/themes/department/ocmx/includes/update-class.php:4) in /home/.../wp-includes/pluggable.php on line 1210 

У меня есть эта тема, установленная на другой установке WP на том же сервере без каких-либо проблем. Любые идеи, что вызывает это? В настоящее время это мешает мне прикреплять изображения к сообщениям «слайдера» (но текст и т. Д. Все равно будет успешно опубликован).

Solutions Collecting From Web of "Проблема при публикации обновлений / изменений в wordress"

Ваша тема расширяет базовый класс WordPress со своей собственной функцией fs_connect , но не принимает одинаковые параметры, поэтому она вызывает ошибку «должна быть совместима».

Это может быть вызвано обновлением WordPress класса WP_Upgrader, и в этом случае ваша тема должна обновиться, чтобы быть совместимой. Или, скорее, на этом веб-сайте работает PHP с различными настройками отчетов об ошибках . Вероятно, эта ошибка не нарушает ничего, поэтому некоторые настройки скроют ошибку.

Другая возможность заключается в использовании другой версии PHP. Например, в PHP 7 ошибка «должна быть совместима» больше не требует появления строгой отчетности об ошибках.

В конечном счете это то, что разработчик вашей темы должен будет исправить (это должно быть тривиально), поэтому вы должны сообщить об этом им.

Остальные две ошибки вызваны первой ошибкой. Ошибки, возникающие в определенных точках загрузки страницы, могут помешать заголовкам , что приведет к этим ошибкам. Исправьте первую ошибку, и они исчезнут.